HttpRequest (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpRequest

    java.lang.Object
      org.mule.transport.http.HttpRequest

    public class HttpRequest

extends Object

A http request wrapper

Constructor Summary
`HttpRequest(RequestLine requestLine, Header[] headers)`
`HttpRequest(RequestLine requestLine, Header[] headers, InputStream content)`

Method Summary
`void` | `addHeader(Header header)`
`boolean` | `containsHeader(String name)`
`InputStream` | `getBody()`
`byte[]` | `getBodyBytes()`
`String` | `getBodyString()`
`String` | `getCharset()`
`long` | `getContentLength()`
`String` | `getContentType()`
`Header` | `getFirstHeader(String s)`
`Iterator` | `getHeaderIterator()`
`Header[]` | `getHeaders()`
`RequestLine` | `getRequestLine()`
`void` | `removeHeaders(String s)`
`void` | `setHeader(Header header)`
`void` | `setRequestLine(RequestLine requestline)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequest

    public HttpRequest(RequestLine requestLine,
                       Header[] headers,
                       InputStream content)
                throws IOException

Throws:
  `IOException`

### HttpRequest

    public HttpRequest(RequestLine requestLine,
                       Header[] headers)
                throws IOException

Throws:
  `IOException`

Method Detail

### getRequestLine

    public RequestLine getRequestLine()

### setRequestLine

    public void setRequestLine(RequestLine requestline)

### containsHeader

    public boolean containsHeader(String name)

### getHeaders

    public Header[] getHeaders()

### getFirstHeader

    public Header getFirstHeader(String s)

### removeHeaders

    public void removeHeaders(String s)

### addHeader

    public void addHeader(Header header)

### setHeader

    public void setHeader(Header header)

### getHeaderIterator

    public Iterator getHeaderIterator()

### getContentType

    public String getContentType()

### getCharset

    public String getCharset()

### getContentLength

    public long getContentLength()

### getBody

    public InputStream getBody()

### getBodyBytes

    public byte[] getBodyBytes()
                        throws IOException

  Throws:
    `IOException`

### getBodyString

    public String getBodyString()
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.